﻿namespace Rogal.Contracts.Models
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using System.Threading.Tasks;

    public class UserDto 
    {
        public string FirstName { get; set; }

        public string LastName { get; set; }

        public string Email { get; set; }

        public string Phone { get; set; }

        /// <summary>
        /// shows where information about user came from (AD, manual addition, etc.)
        /// </summary>
        public string Source { get; set; }

        public SourceTypeEnum SourceType { get; set; }

        /// <summary>
        /// AD distinguished name of the user - LDAP
        /// </summary>
        public string AdDn { get; set; } 

        /// <summary>
        /// GUID from AD
        /// </summary>
        public string AdGuid { get; set; } 

        /// <summary>
        /// AD logon name
        /// </summary>
        public string AdLogon { get; set; }

        /// <summary>
        /// AD user prinipal name
        /// </summary>
        public string AdUpn { get; set; } 

        /// <summary>
        /// AD Last Logon
        /// </summary>
        public DateTime AdLastLogon { get; set; }

        public IEnumerable<DeviceDto> UserDevices { get; set; }

        public IEnumerable<ApplicationDto> UserApplications { get; set; }

        public string Notes { get; set; }
    }
}
